.TH wxBufferedPaintDC 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxBufferedPaintDC \- See external documentation: wxBufferedPaintDC\&.
.SH DESCRIPTION
.LP
See external documentation: wxBufferedPaintDC <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxbufferedpaintdc\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxBufferedDC 
.br
wxMemoryDC 
.br
wxDC 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxBufferedPaintDC()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new(Window::wxWindow() (see module wxWindow)) -> wxBufferedPaintDC()
.br
.RS
.LP
Equivalent to new(Window, [])\&.
.RE
.LP
.B
new(Window::wxWindow() (see module wxWindow), X::term()) -> wxBufferedPaintDC()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxbufferedpaintdc\&.html#wxbufferedpaintdcwxbufferedpaintdc>\&. 
.br
 Alternatives: 
.LP
\fI new(Window::wxWindow:wxWindow(), Buffer::wxBitmap:wxBitmap()) -> new(Window, Buffer, []) \fR
.LP
\fI new(Window::wxWindow:wxWindow(), [Option]) -> wxBufferedPaintDC() \fR 
.br
 Option = {style, integer()} 
.RE
.LP
.B
new(Window::wxWindow() (see module wxWindow), Buffer::wxBitmap() (see module wxBitmap), Options::[Option]) -> wxBufferedPaintDC()
.br
.RS
.TP
Types
Option = {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxbufferedpaintdc\&.html#wxbufferedpaintdcwxbufferedpaintdc>\&.
.RE
.LP
.B
destroy(This::wxBufferedPaintDC()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
